Summary:	Sphinx extension to generate unique OpenGraph metadata
Name:		python3-sphinxext.opengraph
Version:	0.9.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinxext-opengraph/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxext-opengraph/sphinxext-opengraph-%{version}.tar.gz
# Source0-md5:	c67696654492bdca614f151b77c224d3
URL:		https://github.com/wpilibsuite/sphinxext-opengraph
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension to generate unique OpenGraph metadata.

%prep
%setup -q -n sphinxext-opengraph-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md
%dir %{py3_sitescriptdir}/sphinxext
%dir %{py3_sitescriptdir}/sphinxext/opengraph
%{py3_sitescriptdir}/sphinxext/opengraph/*.py
%dir %{py3_sitescriptdir}/sphinxext/opengraph/__pycache__
%{py3_sitescriptdir}/sphinxext/opengraph/__pycache__/*.py[co]
%{py3_sitescriptdir}/sphinxext/opengraph/_static
%{py3_sitescriptdir}/sphinxext_opengraph-%{version}-py*.egg-info
%changelog
* Sun Dec 31 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinxext.opengraph.git;a=log;h=master

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> 47eaf9b
- new

